{% extends '_base.html' %}
{% load static %}

{% block title %} {{ contract_template.type }} Contract Type {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {% if contract_template.en_title is not None %}
            {{ contract_template.en_title }} <br>
            {% endif %}
            {% if contract_template.en_title is not None %}
            {{ contract_template.fr_title }}
            {% endif %}
        </p>
        <p class="subtitle">
            
            View and Edit {{ contract_template.type  }} Contract Type
        </p>
        <a class="button is-danger" href="{% url 'contract_template_section_new' contract_template.id %}">Add New Section</a>
    </div>
</section>
{% if sections_fr or sections_en %}
<div class="columns">
    <div class="column"></div>
    <div class="column is-10 auto">
        <div class="columns">
            {% if sections_fr %}
            <div class="column is-half my-4">
                <h1 class="title is-3">Sections French</h1>
                {% for section in sections_fr %}
                <div class="card my my-5">
                    <header class="card-header">
                        <p class="card-header-title">
                            {{ section.tittle }}
                        </p>
                        <div class="card-header-icon">
                            <span class="tag is-warning is-rounded">Order: {{ section.order }}</span>
                        </div>
                    </header>
                    <div class="card-content">
                        <div class="content">
                            {{ section.description | safe }}
                        </div>
                    </div>
                    <footer class="card-footer">
                        <a href="{% url 'contract_template_section_edit' contract_template.id section.id %}" class="card-footer-item">Edit</a>
                        <a href="{% url 'contract_template_section_delete' contract_template.id section.id %}" class="card-footer-item has-text-danger">Delete</a>
                    </footer>
                </div>
                {% endfor %}
            </div>
            {% endif %}
            {% if sections_en %}
            <div class="column is-half my-4">
                <h1 class="title is-3">Sections English</h1>
                {% for section_en in sections_en %}
                <div class="card my my-5">
                    <header class="card-header">
                        <p class="card-header-title">
                            {{ section_en.tittle }}
                        </p>
                        <div class="card-header-icon">
                            <span class="tag is-warning is-rounded">Order: {{ section_en.order }}</span>
                        </div>
                    </header>
                    <div class="card-content">
                        <div class="content">
                            {{ section_en.description | safe }}
                        </div>
                    </div>
                    <footer class="card-footer">
                        <a href="{% url 'contract_template_section_edit' contract_template.id section_en.id %}" class="card-footer-item">Edit</a>
                        <a href="{% url 'contract_template_section_delete' contract_template.id section_en.id %}" class="card-footer-item has-text-danger">Delete</a>
                    </footer>
                </div>
                {% endfor %}
            </div>
            {% endif %}
        </div>
    </div>
    <div class="column"></div>
</div>
{% else %}
<div class="column is-half  is-offset-one-quarter">
    <div class="card my-3">
        <div class="card-content">
            <div class="content has-text-centered">
                <h1 class="has-text-grey-light">No Sections Found</h1>
                <a class="button is-danger is-outlined" href="{% url 'contract_template_section_new' contract_template.id %}">Add New Section</a>
            </div>
        </div>
    </div>
</div>
{% endif %}

{% endblock %}